searchData={"items":[{"type":"module","title":"HipcallWhichtech","doc":"Documentation for `HipcallWhichtech`.","ref":"HipcallWhichtech.html"},{"type":"function","title":"HipcallWhichtech.detect/2","doc":"Detect a website tech","ref":"HipcallWhichtech.html#detect/2"},{"type":"function","title":"Examples - HipcallWhichtech.detect/2","doc":"iex> {:ok, html_body} = HipcallWhichtech.request(\"https://www.bulutfon.com/\")\n    iex> HipcallWhichtech.detect(html_body)\n    ...> {:ok, [:wordpress]}\n\n    iex> {:ok, html_body} = HipcallWhichtech.request(\"https://woo.com/\")\n    iex> HipcallWhichtech.detect(html_body)\n    ...> {:ok, [:wordpress, :woocommerce]}\n\nYou can set the excluded detectors. For example `exclude: [:woocommerce]` options.\n\n    iex> {:ok, html_body} = HipcallWhichtech.request(\"https://woo.com/\")\n    iex> HipcallWhichtech.detect(html_body, exclude: [:woocommerce])\n    ...> {:ok, [:wordpress]}\n\nYou can also set one or more detectors. For example `only: [:wordpress]` options.\nPackage check only `wordpress` with this option.\n\n    iex> {:ok, html_body} = HipcallWhichtech.request(\"https://woo.com/\")\n    iex> HipcallWhichtech.detect(html_body, only: [:wordpress])\n    ...> {:ok, [:wordpress]}","ref":"HipcallWhichtech.html#detect/2-examples"},{"type":"function","title":"Arguments - HipcallWhichtech.detect/2","doc":"- `html_body` : html code\n  - `options` : list","ref":"HipcallWhichtech.html#detect/2-arguments"},{"type":"function","title":"Options - HipcallWhichtech.detect/2","doc":"* `:exclude` (list of `t:atom/0`) - A list of detector which are exclude The default value is `[]`.\n\n* `:only` (list of `t:atom/0`) - Detector that only look The default value is `[]`.","ref":"HipcallWhichtech.html#detect/2-options"},{"type":"function","title":"Raises - HipcallWhichtech.detect/2","doc":"- Raise `NimbleOptions.ValidationError` if params are not valid.","ref":"HipcallWhichtech.html#detect/2-raises"},{"type":"function","title":"Returns - HipcallWhichtech.detect/2","doc":"- `{:ok, list()}`\n  - `{:error, any()}`","ref":"HipcallWhichtech.html#detect/2-returns"},{"type":"function","title":"HipcallWhichtech.request/1","doc":"Request and get html body from an URL.","ref":"HipcallWhichtech.html#request/1"},{"type":"function","title":"Examples - HipcallWhichtech.request/1","doc":"iex> {:ok, html_body} = request(\"https://woo.com/\")","ref":"HipcallWhichtech.html#request/1-examples"},{"type":"function","title":"Arguments - HipcallWhichtech.request/1","doc":"- url: String","ref":"HipcallWhichtech.html#request/1-arguments"},{"type":"function","title":"Options - HipcallWhichtech.request/1","doc":"- There is no option.","ref":"HipcallWhichtech.html#request/1-options"},{"type":"function","title":"Raises - HipcallWhichtech.request/1","doc":"- There is no exception.","ref":"HipcallWhichtech.html#request/1-raises"},{"type":"function","title":"Returns - HipcallWhichtech.request/1","doc":"- `{:ok, binary()}`\n  - `{:error, any()}`","ref":"HipcallWhichtech.html#request/1-returns"},{"type":"type","title":"HipcallWhichtech.url/0","doc":"","ref":"HipcallWhichtech.html#t:url/0"},{"type":"extras","title":"HipcallWhichtech","doc":"# HipcallWhichtech\n\n[![Hex.pm Version](https://img.shields.io/hexpm/v/hipcall_whichtech)](https://hex.pm/packages/hipcall_whichtech)\n[![Hex.pm Download Total](https://img.shields.io/hexpm/dt/hipcall_whichtech)](https://hex.pm/packages/hipcall_whichtech)\n\nFind out what the website is built with using this package.","ref":"readme.html"},{"type":"extras","title":"Installation - HipcallWhichtech","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `hipcall_whichtech` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:hipcall_whichtech, \"~> 0.5.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Use - HipcallWhichtech","doc":"Documentation for using, please check the `HipcallWhichtech` module.","ref":"readme.html#use"},{"type":"extras","title":"Example - HipcallWhichtech","doc":"```elixir\niex> {:ok, html_body} = HipcallWhichtech.request(\"https://woo.com/\")\niex> HipcallWhichtech.detect(html_body)\n...> {:ok, [:wordpress, :woocommerce]}\n\niex> {:ok, html_body} = HipcallWhichtech.request(\"https://www.bulutfon.com/\") \niex> HipcallWhichtech.detect(html_body)\n...> {:ok, [:wordpress]}\n\niex> {:ok, html_body} = HipcallWhichtech.request(\"https://www.lab2023.com/\") \niex> HipcallWhichtech.detect(html_body)\n...> {:ok, []}\n```","ref":"readme.html#example"},{"type":"extras","title":"Hipcall - HipcallWhichtech","doc":"All [Hipcall](https://www.hipcall.com/en-gb/) libraries:\n\n- [HipcallDisposableEmail](https://github.com/hipcall/hipcall_disposable_email) - Simple library checking the email's domain is disposable or not.\n- [HipcallDeepgram](https://github.com/hipcall/hipcall_deepgram) - Unofficial Deepgram API Wrapper written in Elixir.\n- [HipcallOpenai](https://github.com/hipcall/hipcall_openai) - Unofficial OpenAI API Wrapper written in Elixir.\n- [HipcallWhichtech](https://github.com/hipcall/hipcall_whichtech) - Find out what the website is built with.","ref":"readme.html#hipcall"},{"type":"extras","title":"DETECTORS","doc":"| Name          | Categories   |\n| ------------- | ------------ |\n| EticaretKur   | [:ecommerce] |\n| Hubspot       | [:crm]       |\n| İdeasoft      | [:ecommerce] |\n| Ikas          | [:ecommerce] |\n| Platin Market | [:ecommerce] |\n| Shopify       | [:ecommerce] |\n| Ticimax       | [:ecommerce] |\n| Tsoft         | [:ecommerce] |\n| Webflow       | [:cms]       |\n| Woocommerce   | [:ecommerce] |\n| Wordpress     | [:cms]       |","ref":"detectors.html"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.5.0 (2025-01-11) - Changelog","doc":"- Update `finch` `0.18.0` => `0.19.0`","ref":"changelog.html#v0-5-0-2025-01-11"},{"type":"extras","title":"v0.4.0 (2024-02-24) - Changelog","doc":"- Add `DETECTORS.md` to `ex_doc`.\n- Add `Eticaretkur` detector\n- Add `Ideasoft` detector\n- Add `Platin Market` detector\n- Add `Ticimax` detector\n- Add `Tsoft` detector","ref":"changelog.html#v0-4-0-2024-02-24"},{"type":"extras","title":"v0.3.0 (2024-02-13) - Changelog","doc":"- Update `finch` `0.17.0` => `0.18.0`\n- Add `Ikas` detector","ref":"changelog.html#v0-3-0-2024-02-13"},{"type":"extras","title":"v0.2.0 (2024-02-03) - Changelog","doc":"- Add `exclude: [:woocommerce, :wordpress]` options to `detect/2` method.","ref":"changelog.html#v0-2-0-2024-02-03"},{"type":"extras","title":"v0.1.0 (2024-01-28) - Changelog","doc":"- Add `Woocommerce` detector\n- Add `Wordpress` detector\n- Add `Hubspot` detector\n  Add `Shopify` detector\n- Add CHANGELOG.md\n- Add `models` endpoint\n- Add `Config` overwrite feature\n- Add ex_docs\n- Add `Dependabot` and `ci.yml`","ref":"changelog.html#v0-1-0-2024-01-28"},{"type":"extras","title":"LICENSE","doc":"Copyright 2024 [Hipcall LTD](https://www.hipcall.com/en-gb/)\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}